%define upstream_name    Dist-Zilla-Plugin-CustomLicense
%define upstream_version 1.0.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Setting legal stuff of Dist::Zilla while keeping control
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.102.342
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Moose)
BuildRequires: perl(Software::License) >= 0.103.0
BuildRequires: perl(Text::Template)
BuildArch:  noarch

%description
This module extends the Software::License manpage to give the possibility
of specifying all aspects related to a software license in a custom file.
This allows for setting custom dates, notices, etc. while still preserving
compatibility with all places where the Software::License manpage is used,
e.g. the Dist::Zilla manpage.

In this way, you should be able to customise some aspects of the licensing
messages that would otherwise be difficult to tinker, e.g. adding a note in
the notice, setting multiple years for the copyright notice or set multiple
authors and/or copyright holders.

The license details should be put inside a file that contains different
sections. Each section has the following format:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Apr 07 2011 jquelin <jquelin> 1.0.1-1.mga1
+ Revision: 81744
- update to 1.0.1

* Sun Apr 03 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 80059
- update to 1.0.0

* Mon Mar 14 2011 jquelin <jquelin> 0.9.0-1.mga1
+ Revision: 71066
- imported package perl-Dist-Zilla-Plugin-CustomLicense


* Mon Mar 14 2011 cpan2dist 0.9.0-1mga
- initial mageia release, generated with cpan2dist
